Vraag & Antwoord

OS Linux

dependecy

Anoniem
Mgompie
12 antwoorden
  • Het zal wel een oude wezen, maar waar vind ik LibGLcore.so.1?????????? :cry:
  • Met google? Eerste hit ziet er al veelbelovend uit!
  • Dit wordt dus een lastige; GLX-driver (rpm)van Nvidia. Maar ik gebruik de run-versie van Nvidia 4496 pkg2 in Suse 8.2 met een GF FX 5200 kaart, omdat anders de 3d opties niet werken.
    Zit ligGLcore.so.1 daar niet in???
  • geen idee, maar kan je een rpm niet gewoon uitpakken en die lib ergens neerzetten? Een rpm is ook maar "gewoon" een tgz hoor.
  • [quote:abd47a44dd="Mgompie"]Dit wordt dus een lastige; GLX-driver (rpm)van Nvidia. Maar ik gebruik de run-versie van Nvidia 4496 pkg2 in Suse 8.2 met een GF FX 5200 kaart, omdat anders de 3d opties niet werken.
    Zit ligGLcore.so.1 daar niet in???[/quote:abd47a44dd]

    Tuurlijk wel, als je het script draait zal libGLcore waarschijnlijk ook meegeïnstalleerd worden.
  • Bilbo, je hebt misschien gelijk, maar bij nogal wat rpm's krijg ik de melding dat hij deze dus mist. Ik ga er maar eens een forceren, kijken wat er gebeurt.
  • libGlcore staat gewoon in /usr/lib/ !! Hoe kan ik ook alweer het path naar een file opgeven, zodat een rpm weet waar de file zich bevind;ik denk dat dan het probleem is opgelost :cry:
  • Je moet waarschijnlijk gewoon even een symlink naar de file maken. Dus:

    ln -s /usr/lib/libGLcore.so /usr/lib/libGLcore.so.1
  • Misschien; ik probeer het. Bedankt.
  • Helaas, geen enkel verschil.libGLcore.so.1 blijft onvindbaar voor sommige rpm's.Iemand nog een idee?
  • Dat lijkt me vrij logisch, rpm kijkt niet naar wat je op je systeem hebt, maar naar wat in de rpm-database staat.
    Als je zeker weet dat de bewuste bibliotheek aanwezig is, en bereikbaar voor het te installeren programma, dan kun je de rpm met de optie –nodeps installeren.

    Max
  • [quote:d7aee8c320="Mgompie"]Dit wordt dus een lastige; GLX-driver (rpm)van Nvidia. Maar ik gebruik de run-versie van Nvidia 4496 pkg2 in Suse 8.2 met een GF FX 5200 kaart, omdat anders de 3d opties niet werken. Zit ligGLcore.so.1 daar niet in??? [/quote:d7aee8c320] Ik heb zelf die NVIDIA-Linux-x86-1.0-4496-pkg2.run geinstalleerd in SuSE 8.2. Eventueel kan die run file uitgepakt worden met
    [code:1:d7aee8c320] sh NVIDIA-Linux-x86-1.0-4496-pkg2.run –extract-only [/code:1:d7aee8c320]
    [code:1:d7aee8c320]
    jolo@linux:~> locate libGLcore
    /usr/lib/libGLcore.so.1
    /usr/lib/libGLcore.so.1.0.4496
    /windows/D/Programs/nvidia/NVIDIA-Linux-x86-1.0-4496-pkg2/usr/lib/libGLcore.so.1.0.4496
    /windows/D/Programs/nvidia/NVIDIA-Linux-x86-1.0-4496-pkg2/usr/lib/tls/libGLcore.so.1.0.4496
    [/code:1:d7aee8c320]

Beantwoord deze vraag

Dit is een gearchiveerde pagina. Antwoorden is niet meer mogelijk.